Nowe posty

Autor Wątek: Evolution - zależności  (Przeczytany 4117 razy)

Offline Dominik Przyborowski

  • Users
  • Guru
  • *****
  • Wiadomości: 747
    • Zobacz profil
Evolution - zależności
« dnia: 2005-10-28, 22:46:17 »
Witam.

Tworzę wykresy w gnuplocie i jako terminala używam rozszerzonego post scripta. Niestety natknąłem się na problem z którym sobie nie moge narazie poradzić. Otóz potrzebuje w opisach umieścić litery greckie. Czy mogę to zrobić bez edycji wyjściowych plików *.eps, albo czy moge w jakiś sposób wymusić kodowanie znaku w unicode (set encode zwraca tylko iso-latin-1, 2 i 15 oraz cp850 i 852)?

Pozdrawiam.
Dominik

Offline Dominik Przyborowski

  • Users
  • Guru
  • *****
  • Wiadomości: 747
    • Zobacz profil
Evolution - zależności
« Odpowiedź #1 dnia: 2005-10-30, 11:53:06 »
Częściowo obszedłem problem. Otóż w miejsca gdzie miały być greckie litery postawiłem spacje, utworzyłem eps\\'a potem zrobiłem zrzut ekranu, a nastepnie w gimpie dodałem tekst napisany w odpowiedniej czcionce i po odpowiedniej obróbce uzyskałem pożądany efekt.
Jednak zasadnicze pytanie pozostaje - czy da się to zrobic prościej?

Offline Dominik Przyborowski

  • Users
  • Guru
  • *****
  • Wiadomości: 747
    • Zobacz profil
Evolution - zależności
« Odpowiedź #2 dnia: 2005-10-30, 15:07:48 »
Znalazłem prosty sposób. Wystarczy sprawdzić która czcionka posiada potrzebny nam znak - u mnie Standard Symbols L i wyedytować plik eps za pomocą edytora tekstowego, np mcedita w taki oto spsób:

Przed:
[(Helvetica) 140.0 0.0 true true 0 (  (teta)]
[( ) 1 2 true true 3 (GSAVE)]

http://fatcat.ftj.agh.edu.pl/~przyboro/wyk/przed.eps

Po:
[(Helvetica) 140.0 0.0 true true 0 (  ()]
[(Standard Symbols L) 140.0 0.0 true true 0 (q)]
[( ) 1 2 true true 3 (GSAVE)]

http://fatcat.ftj.agh.edu.pl/~przyboro/wyk/po.eps

dodając jedną linijke załatwiamy sprawę w minutę :-)

Offline Aleksandra Brzezińska

  • Users
  • Guru
  • *****
  • Wiadomości: 776
    • Zobacz profil
Evolution - zależności
« Odpowiedź #3 dnia: 2005-10-28, 16:23:22 »
Witam
zachciało mi się zrezygnować z uciążliwego korzystania z poczty via www, zainteresował mnie Evolution z uwagi na bardzo entuzjastyczne opinie użytkowników. Z linuxpackage.net ściągnęłam odpowiednią paczkę dla Slackware 10.1, niestety program nie uruchmia się: raportuje brak biblioteki (kolejnej, w zależności od tego jaką już zainstalowałam ;-).
No więc kompiluję (wszystkie z prefiksem /usr, żeby nie było, że czegoś nie można znaleść)
evolution-data-serwer (to akurat z paczki), gal, lipsoup, gtkhtml - tego ostatniego nie mogę, bo wymaga gnome-printing. Kompiluję więc gnome-printing, configure przechodzi bez problemu, ale make wykłada się na
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gnome-config... no
checking for gnomeConf.sh file in /usr/lib... not found
configure: error: Could not find the gnomeConf.sh file that is generated by gnome-libs install

Pomocy, o co chodzi :. libgnome jest zainstalowane. Google twierdzi, że trzeba zainstalować gnome-libs-devel, ale na ftp://ftp.gnome.org/pub/gnome/sources/
nie znalazłam nic takiego a wygooglać mogę tylko rpm-y.
Podobnież można też: rpm2tgz filename.rpm, ale jakoś nie wydaje mi się to najlepszym wyjściem (oczywiście mogę się mylić ;-).

Środowisko gnome mam zainstalowane (nie korzystam, używam KDE), kompilowałam już kilka programów dedykowanych pod gnome i chodzą bez zarzutu (sodipodi, dia - co prawda mniej złożone od evolution). Czy to normalne mieć tyle braków uniemożliwiających działanie programu, gdy się ma zainstalowane gnome (zaznaczam, że środowisko jest działające), czy ja coś robię nie tak ?

będę wdzięczna za wszelkie sugestie (no, może poza www.google.pl/linux...)
pozdrawiam
olka

Offline Robert

  • Administrator
  • Guru
  • *****
  • Wiadomości: 2505
    • Zobacz profil
Evolution - zależności
« Odpowiedź #4 dnia: 2005-10-28, 21:25:23 »
2005-10-28 16:23:22 olka napisał:

> Witam
 > zachciało mi się zrezygnować z uciążliwego korzystania z poczty via www, zainteresował mnie
 > Evolution z uwagi na bardzo entuzjastyczne opinie użytkowników.

Moja również jest entuzjastyczna, ale ja używam SuSE 9.3 (na 9.2 też nieźle chodziło). Zainstalowało się to coś razem z systemem i działa bardzo fajnie.

Domyslam się, że to nie jest oczekiwane rozwiązanie - może jednak warto spróbować...
 
> pozdrawiam
 > olka

pozdrawiam
roca
Zanim popełnisz grafomaństwo: 1 | 2 | 3
Baza RPM Jak szukać informacji

Offline Aleksandra Brzezińska

  • Users
  • Guru
  • *****
  • Wiadomości: 776
    • Zobacz profil
Evolution - zależności
« Odpowiedź #5 dnia: 2005-10-28, 22:00:27 »
2005-10-28 21:25:23 roca napisał:

 > Moja również jest entuzjastyczna, ale ja używam SuSE 9.3 (na 9.2 też nieźle chodziło).
 > Zainstalowało się to coś razem z systemem i działa bardzo fajnie.
 >
 > Domyslam się, że to nie jest oczekiwane rozwiązanie - może jednak warto spróbować...
 
Hmm, czy dobrze zrozumiałam? Spróbowac przerzucić się na SuSE ? Dobre !  ;-))))))
Aczkolwiek spotkałam się z opinią, że to dystrybucja dla dziewczyn (dopracowana graficznie i te sprawy...) - jednak pozostanę przy Slacku z tendencją do migracji na Archlinuxa...

Dzięki jednak za radę, utwierdziłeś mnie w przekonaniu, że koniecznie muszę zobaczyć na własne oczy ten program.
W najgorszym razie przerobie jakiegoś rpm-a n tgz, wciąż jednak liczę na to, że ktoś będzie miał lepszy pomysł :D

olka

Offline Aleksandra Brzezińska

  • Users
  • Guru
  • *****
  • Wiadomości: 776
    • Zobacz profil
Evolution - zależności
« Odpowiedź #6 dnia: 2005-10-29, 22:55:32 »
2005-10-28 22:00:27 olka napisał:

 > W najgorszym razie przerobie jakiegoś rpm-a n tgz, wciąż jednak liczę na to, że ktoś będzie
 > miał lepszy pomysł :D

Zawsze się znajdzie lepszy pomysł:
http://www.cs.kernel.org/pub/linuxpackages/Slackware-10.1/Library/libgtkhtml/  
i nie potrzeba gnome-libs-devel.

Teoretycznie program już działa ino nie do końca ;-) bo mu wiecznie brakuje jakiś bibliotek (o znaczeniu mniej krytycznym).
To draństwo ma takie wymagania, że ja już powoli wymiękam ! No ileż można przeszukiwać sieć zastanawiając się do jakigo pakietu należy ta czy inna biblioteka .so i czy w ogóle jest osiągalna jako paczka.

póki co walczę dalej ;-)
olka

Offline Robert

  • Administrator
  • Guru
  • *****
  • Wiadomości: 2505
    • Zobacz profil
Evolution - zależności
« Odpowiedź #7 dnia: 2005-10-29, 23:24:03 »
niech moc będzie z tobą!  :-)
Zanim popełnisz grafomaństwo: 1 | 2 | 3
Baza RPM Jak szukać informacji

Offline Aleksandra Brzezińska

  • Users
  • Guru
  • *****
  • Wiadomości: 776
    • Zobacz profil
Evolution - zależności
« Odpowiedź #8 dnia: 2005-10-30, 21:51:29 »
2005-10-29 23:24:03 roca napisał:

> niech moc będzie z tobą!  :-)

Dzięki ;-)
-------------------------------

Gdyby ktos szukał biblioteki libsasl2.so.2, to:
http://mirror.etf.bg.ac.yu/linuxpackages/Slackware-10.1/X11/kde/cyrus-sasl-2.1.20-i486-1jim.tgz
bo trochę mi zajęło zidentyfikowanie właściwego pakietu :
Poza tym w przypadku problemów z bibliotekami radzę dokładnie sprawdzić numer wersji raportowany w błędach evolution, bo niby paczka dla slackware 10.1 a niektóre ze standardowych bibliotek slacka są dla tego programu za stare...
No i nie przejmować się tym, że trzeba doinstalować około 10 bibliotek :D, bo program jest faktycznie ŚWIETNY. Dołączam do grona jego entuzjastów ;-) pomimo że u mnie działa lekko niestabilnie...

pozdrawiam wszystkich
olka